---
title: llarp::routing::InboundMessageParser

---

# llarp::routing::InboundMessageParser





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[InboundMessageParser](Classes/structllarp_1_1routing_1_1InboundMessageParser.md#function-inboundmessageparser)**() |
| | **[~InboundMessageParser](Classes/structllarp_1_1routing_1_1InboundMessageParser.md#function-~inboundmessageparser)**() |
| bool | **[ParseMessageBuffer](Classes/structllarp_1_1routing_1_1InboundMessageParser.md#function-parsemessagebuffer)**(const [llarp_buffer_t](Classes/structllarp__buffer__t.md) & buf, [IMessageHandler](Classes/structllarp_1_1routing_1_1IMessageHandler.md) * handler, const [PathID_t](Classes/structllarp_1_1PathID__t.md) & from, [AbstractRouter](Classes/structllarp_1_1AbstractRouter.md) * r) |
| bool | **[operator()](Classes/structllarp_1_1routing_1_1InboundMessageParser.md#function-operator())**([llarp_buffer_t](Classes/structllarp__buffer__t.md) * buffer, [llarp_buffer_t](Classes/structllarp__buffer__t.md) * key) |

## Public Functions Documentation

### function InboundMessageParser

```cpp
InboundMessageParser()
```


### function ~InboundMessageParser

```cpp
~InboundMessageParser()
```


### function ParseMessageBuffer

```cpp
bool ParseMessageBuffer(
    const llarp_buffer_t & buf,
    IMessageHandler * handler,
    const PathID_t & from,
    AbstractRouter * r
)
```


### function operator()

```cpp
bool operator()(
    llarp_buffer_t * buffer,
    llarp_buffer_t * key
)
```


-------------------------------

Updated on 2023-02-01 at 20:39:32 +0000